Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trace
Interface InstructionInfo

All Superinterfaces:
  LocationProvider, Locator, SaxonLocator, SourceLocator

All Known Implementing Classes:
  AbsentExtensionElement, AdjacentTextNodeMerger, Adjust, Aggregate, AnalyzeString, AnalyzeStringFn, AndExpression, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicSequenceConverter, Atomizer, AttributeCreator, AttributeSet, Available, AvailableEnvironmentVariables, Average, AxisExpression, BaseURI, BasicUpdatingExpression, BinaryExpression, Block, BooleanExpression, BooleanFn, BreakInstr, CallTemplate, CardinalityChecker, CastableExpression, CastableToList, CastableToUnion, CastExpression, CastingExpression, CastToList, CastToUnion, Choose, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompiledExpression, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, ConditionalSorter, Contains, ContextCall, ContextItemExpression, Copy, CopyModifyExpression, CopyOf, CopyOfFn, Count, Current, CurrentDateTime, CurrentGroup, CurrentGroupingKey, CurrentItemExpression, Data, DateTimeConstructor, DeepEqual, DefaultCollation, DeleteExpression, DistinctValues, Doc, DocAvailable, Doctype, DocumentFn, DocumentInstr, DocumentSorter, DocumentUriFn, EagerLetExpression, ElementAvailable, ElementCreator, Empty, EmptyTextNodeRemover, EndsWith, EnvironmentVariable, EquivalenceComparison, Error, ErrorExpression, EscapeURI, EvaluateInstr, Exists, Expression, ExtensionInstruction, FilterExpression, FilterFn, FirstItemExpression, FixedAttribute, FixedElement, FLWORExpression, FoldLeftFn, FoldRightFn, ForceCase, ForEach, ForEachGroup, ForExpression, Fork, FormatDate, FormatInteger, FormatNumber, FunctionArity, FunctionAvailable, FunctionCall, FunctionItemExpression, FunctionLookup, FunctionName, FunctionSequenceCoercer, GeneralComparison, GeneralComparison10, GeneralComparison20, GeneralComparisonEE, GenerateId, GlobalParam, GlobalVariable, HeadFn, HomogeneityChecker, Id, IdentityComparison, Idref, IndexedFilterExpression, IndexedLookupExpression, IndexOf, InScopePrefixes, Insert, InsertExpression, InstanceOfExpression, Instruction, InstructionDetails, IntegerRangeTest, IntegratedFunctionCall, IsLastExpression, ItemChecker, IterateInstr, JavaExtensionFunctionCall, KeyDefinition, KeyFn, Lang, Last, LastItemExpression, LetExpression, Literal, LiteralResultElement, LocalNameFn, LocalParamBlock, LocalParamSetter, LocalVariableReference, MapFn, MapPairsFn, Matches, MemoFunction, MergeInstr, Message, Minimax, MultithreadedForEach, NameFn, NamespaceConstructor, NamespaceForPrefix, NamespaceUriFn, NegateExpression, NextIteration, NextMatch, Nilled, NodeNameFn, NormalizeSpace, NormalizeUnicode, NotFn, NumberFn, NumberInstruction, OrExpression, OuterForExpression, ParentNodeConstructor, ParentNodeExpression, ParseJsonFn, ParseXml, PartialApply, Path, PatternSponsor, Position, Procedure, ProcessingInstruction, ProcessRegexMatchInstruction, Put, QNameFn, QuantifiedExpression, RangeExpression, RegexGroup, Remove, RenameExpression, Replace, ReplaceNodeExpression, ReplaceValueExpression, ResolveQName, ResolveURI, ResultDocument, Reverse, Root, RootExpression, Rounding, SaxonAssign, SaxonCallTemplate, SaxonCollation, SaxonDoctype, SaxonEntityRef, SaxonImportQuery, SaxonWhile, Serialize, SerializeJsonFn, SimpleExpression, SimpleNodeConstructor, SimpleStepExpression, SingleItemFilter, SingleNodeExpression, SingletonAtomizer, SingletonIntersectExpression, SlashExpression, SnapshotFn, SortExpression, SQLClose, SQLColumn, SQLConnect, SQLDelete, SQLExecute, SQLInsert, SQLQuery, SQLUpdate, StartsWith, StaticBaseURI, StreamingApplyTemplates, StreamingCopy, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, StyleElement, Subsequence, Substring, SubstringAfter, SubstringBefore, Sum, SuppliedParameterReference, SwitchExpression, SystemFunction, SystemProperty, TailCallLoop, TailExpression, TailFn, Template, Tokenize, Trace, TraceExpression, Translate, TreatFn, TryCatch, TupleExpression, TypeAvailable, UnaryExpression, Unordered, UnparsedEntity, UnparsedText, UnparsedTextAvailable, UnparsedTextLines, UriCollection, UseAttributeSets, UserFunction, UserFunctionCall, ValueComparison, ValueOf, VariableReference, VennExpression, While, XPathFunctionCall, XQueryFunction, XSLAnalyzeString, XSLApplyImports, XSLApplyTemplates, XSLAttribute, XSLAttributeSet, XSLBreak, XSLBreakOrContinue, XSLCallTemplate, XSLCatch, XSLCharacterMap, XSLChoose, XSLComment, XSLCopy, XSLCopyOf, XSLDecimalFormat, XSLDocument, XSLElement, XSLEvaluate, XSLFallback, XSLForEach, XSLForEachGroup, XSLFork, XSLFunction, XSLGeneralIncorporate, XSLGeneralVariable, XSLIf, XSLImport, XSLImportSchema, XSLInclude, XSLIterate, XSLKey, XSLLeafNodeConstructor, XSLMatchingSubstring, XSLMerge, XSLMergeAction, XSLMergeInput, XSLMergeKey, XSLMergeSource, XSLMessage, XSLMode, XSLNamespace, XSLNamespaceAlias, XSLNextIteration, XSLNextMatch, XSLNumber, XSLOnCompletion, XSLOtherwise, XSLOutput, XSLOutputCharacter, XSLParam, XSLPerformSort, XSLPreserveSpace, XSLProcessingInstruction, XSLResultDocument, XSLSequence, XSLSort, XSLSortOrMergeKey, XSLStylesheet, XSLTemplate, XSLText, XSLTry, XSLValueOf, XSLVariable, XSLVariableDeclaration, XSLWhen, XSLWithParam

    public interface InstructionInfo

extends SaxonLocator

Information about an instruction in the stylesheet or a construct in a Query, made available at run-time to a TraceListener

Method Summary
`int` | `getConstructType()` Get the type of construct.
`int` | `getLineNumber()` Get the line number of the instruction in the source stylesheet module.
`StructuredQName` | `getObjectName()` Get a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc.
`Iterator<String>` | `getProperties()` Get an iterator over all the properties available.
`Object` | `getProperty(String name)` Get the value of a particular property of the instruction.
`String` | `getSystemId()` Get the system identifier (URI) of the source stylesheet or query module containing the instruction.

Methods inherited from interface org.xml.sax.Locator
`getColumnNumber, getPublicId`

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getPublicId`

Methods inherited from interface net.sf.saxon.event.LocationProvider
`getColumnNumber, getLineNumber, getSystemId`

Method Detail

### getConstructType

    int getConstructType()

  Get the type of construct. This will either be the fingerprint of a standard XSLT instruction name (values in `StandardNames`: all less than 1024) or it will be a constant in class `Location`.

  Returns:
    an integer identifying the kind of construct

### getObjectName

    StructuredQName getObjectName()

  Get a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc. This is used only where the name is known statically.

  Returns:
    the QName of the object declared or manipulated by this instruction or expression

### getSystemId

    String getSystemId()

  Get the system identifier (URI) of the source stylesheet or query module containing the instruction. This will generally be an absolute URI. If the system identifier is not known, the method may return null. In some cases, for example where XML external entities are used, the correct system identifier is not always retained.

  Specified by:
    `getSystemId` in interface `Locator`
  Specified by:
    `getSystemId` in interface `SourceLocator`
  Returns:
    the URI of the containing module

### getLineNumber

    int getLineNumber()

  Get the line number of the instruction in the source stylesheet module. If this is not known, or if the instruction is an artificial one that does not relate to anything in the source code, the value returned may be -1.

  Specified by:
    `getLineNumber` in interface `Locator`
  Specified by:
    `getLineNumber` in interface `SourceLocator`
  Returns:
    the line number of the expression within the containing module

### getProperty

    Object getProperty(String name)

  Get the value of a particular property of the instruction. Properties of XSLT instructions are generally known by the name of the stylesheet attribute that defines them.

  Parameters:
    `name` - The name of the required property
  Returns:
    The value of the requested property, or null if the property is not available

### getProperties

    Iterator<String> getProperties()

  Get an iterator over all the properties available. The values returned by the iterator will be of type String, and each string can be supplied as input to the getProperty() method to retrieve the value of the property. The iterator may return properties whose value is null.

  Returns:
    an iterator over the properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.